<template>
  <el-row :gutter="20" class="defaultForeachItem">
    <el-col>
      <p class="title">Налогообложение</p>
    </el-col>
    <el-col :sm="{span: 8}">
      <p class="defaultText">
              <span>
                <span class="label">Тип налогооблажения</span>
                {{ info.type.name }}
              </span>
      </p>
    </el-col>
    <el-col :sm="{span: 6}">
      <p class="defaultText">
              <span>
                <span class="label">Номер налогового сертификата</span>
                {{ info.certificate_number }}
              </span>
      </p>
    </el-col>
    <el-col :sm="{span: 5}">
      <p class="defaultText">
              <span>
                <span class="label">Дата выдачи</span>
                {{ dateFormat(info.certificate_start_date) }}
              </span>
      </p>
    </el-col>
    <el-col :sm="{span: 5}">
      <p class="defaultText">
              <span>
                <span class="label">Годен до</span>
                {{ dateFormat(info.certificate_end_date) }}
              </span>
      </p>
    </el-col>
  </el-row>
</template>

<script>
import moment from "moment";

export default {
  props:{
    info:[Object, Array],
  },
  methods:{
    dateFormat(data){
      if(data !== ''){
        return moment(data).format('DD.MM.YYYY')
      }else{
        return '-'
      }
    },
  }
}
</script>